Commit 928a0292 authored by echel0n's avatar echel0n

Replaced npm with yarn in gitlab ci/cd script

Removed package-lock.json file
parent 38ac0231
...@@ -17,8 +17,8 @@ variables: ...@@ -17,8 +17,8 @@ variables:
# NODE_ENV: "development" # NODE_ENV: "development"
# script: # script:
# - apk add --no-cache git gcc libffi-dev python3-dev musl-dev openssl-dev # - apk add --no-cache git gcc libffi-dev python3-dev musl-dev openssl-dev
# - npm install -qs # - yarn -qs
# - npm run build # - yarn run build
# only: # only:
# - [email protected]/sickrage # - [email protected]/sickrage
# cache: # cache:
...@@ -111,12 +111,12 @@ release:build:master: ...@@ -111,12 +111,12 @@ release:build:master:
- apk add --no-cache git gcc libffi-dev python3-dev musl-dev openssl-dev - apk add --no-cache git gcc libffi-dev python3-dev musl-dev openssl-dev
- git config --global user.email $(git --no-pager show -s --format='%ae' HEAD) - git config --global user.email $(git --no-pager show -s --format='%ae' HEAD)
- git config --global user.name $(git --no-pager show -s --format='%an' HEAD) - git config --global user.name $(git --no-pager show -s --format='%an' HEAD)
- npm ci -qs - yarn -qs
- pip install bumpversion - pip install bumpversion
- pip install -r requirements-dev.txt - pip install -r requirements-dev.txt
- bumpversion --allow-dirty release package.json sickrage/version.txt - bumpversion --allow-dirty release package.json sickrage/version.txt
- git checkout -b release-$(cat sickrage/version.txt) - git checkout -b release-$(cat sickrage/version.txt)
- npm run build - yarn run build
# - python setup.py extract_messages # - python setup.py extract_messages
# - crowdin-cli-py upload sources # - crowdin-cli-py upload sources
# - crowdin-cli-py download # - crowdin-cli-py download
...@@ -151,11 +151,11 @@ release:build:develop: ...@@ -151,11 +151,11 @@ release:build:develop:
NODE_ENV: "development" NODE_ENV: "development"
script: script:
- apk add --no-cache git gcc libffi-dev python3-dev musl-dev openssl-dev - apk add --no-cache git gcc libffi-dev python3-dev musl-dev openssl-dev
- npm ci -qs - yarn -qs
- pip install bumpversion - pip install bumpversion
- pip install -r requirements-dev.txt - pip install -r requirements-dev.txt
- bumpversion --allow-dirty dev package.json sickrage/version.txt - bumpversion --allow-dirty dev package.json sickrage/version.txt
- npm run build - yarn run build
# - python setup.py extract_messages # - python setup.py extract_messages
# - crowdin-cli-py upload sources # - crowdin-cli-py upload sources
# - crowdin-cli-py download # - crowdin-cli-py download
......
This source diff could not be displayed because it is too large. You can view the blob instead.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment